%define		mod_name	authnz_external
%define		apxs		/usr/sbin/apxs
Summary:	Basic authentication for the Apache Web server using arbitrary shell commands
Summary(cs.UTF-8):	Základní autentizace pro WWW server Apache pomocí shellových příkazů
Summary(da.UTF-8):	En autenticeringsmodul for webtjeneren Apache hvor man kan bruge vilkårlige skal-kommandoer
Summary(de.UTF-8):	Authentifizierung für den Apache Web-Server, der arbiträre Shell-Befehle verwendet
Summary(fr.UTF-8):	Authentification de base pour le serveur Web Apache utilisant des commandes shell arbitraires
Summary(it.UTF-8):	Autenticazione di base per il server Web Apache mediante comandi arbitrari della shell
Summary(nb.UTF-8):	En autentiseringsmodul for webtjeneren Apache der en kan bruke skall-kommandoer
Summary(pl.UTF-8):	Podstawowy moduł uwierzytelnienia dla Apache, używający poleceń powłoki
Summary(pt.UTF-8):	Um módulo de autenticação de LDAP para o servidor Web Apache
Summary(sl.UTF-8):	Osnovna avtentikacija za spletni strežnik Apache, z uporabo poljubnih lupinskih ukazov
Summary(sv.UTF-8):	Grundläggande autentisering för webbservern Apache med valfria skalkommandon
Name:		apache-mod_%{mod_name}
Version:	3.3.1
Release:	1
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	http://mod-auth-external.googlecode.com/files/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	4cb3f16ff85b62fbc2cc73bac406bb67
Patch0:		mod_authnz_external-apache24.patch
URL:		http://code.google.com/p/mod-auth-external/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
This module allows you to use any command line program to authenticate
a user.

%description -l cs.UTF-8
Balíček mod_auth_external slouží pro omezení přístupu k dokumentům,
které poskytuje WWW server Apache. Jména a hesla jsou kontrolována
pomocí jakéhokoliv příkazu (jeho návratovým kódem).

%description -l de.UTF-8
Mod_auth_external kann verwendet werden, um den Zugriff auf von einem
Web- Server bediente Dokumente zu beschränken, indem es den Rückcode
eines gegebenen arbiträren Befehls prüft.

%description -l es.UTF-8
Mod_auth_external puede usarse para limitar el acceso a documentos
servidos desde un servidor web verificando el código de retorno de un
comando arbitrario especificado.

%description -l fr.UTF-8
Mod_auth_external peut être utilisé pour limiter l'accès à des
documents servis par un serveur Web en vérifiant le code de retour
d'une commande spécifiée arbitraire.

%description -l it.UTF-8
Mod_auth_external può essere utilizzato per limitare l'accesso ai
documenti serviti da un server Web controllando il codice di ritorno
di un dato comando arbitrario.

%description -l ja.UTF-8
Mod_auth_external
は任意に指定されたコマンドの戻りコードをチェックすること によって、Web
サーバーが提供するドキュメントへのアクセスを制限すること ができます。

%description -l pl.UTF-8
Ten moduł pozwala na użycie dowolnego programu działającego z linii
poleceń do uwierzytelniania użytkownika.

%description -l sv.UTF-8
Mod_auth_external kan användas för att begränsa åtkomsten till
dokument servade av en webbserver genom att kontrollera returkoden
från ett godtyckligt angivet kommando.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install -p .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc TODO AUTHENTICATORS CHANGES README INSTALL test
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Sun May 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_authnz_external.git;a=log;h=master

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> d6753ac
- updated to 3.3.1
- build with apache 2.4

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> a836b4e
- fix dirdep; rel 2

* Wed May 05 2010 Jan Rękorajski <baggins@pld-linux.org> b934ae5
- 3.2.5

* Mon Feb 09 2009 duddits <duddits@pld-linux.org> 58cd5fa
- up to 3.2.2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 3f2b39e
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 34e5b37
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 01275bf
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 981b4a8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4752df0
- converted to UTF-8

* Thu Apr 20 2006 Elan Ruusamäe <glen@pld-linux.org> d3d391d
- cosmetics

* Thu Apr 20 2006 spider <spider@pld-linux.org> b9ce1d7
- adaptarized

* Wed Apr 19 2006 Jan Rękorajski <baggins@pld-linux.org> e500636
- initial revison by zagrodzki

